id: 83
createTime: 2025-08-06T05:08:42.528278645Z
name: tackleTestApp_Source+knownLibraries_test-app-voluptates186.17.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Failed
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=cloud-readiness
        path: ""
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: true
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 17
    name: tackleTestApp_Source+knownLibraries_test-app-voluptates186
bucket:
    id: 131
    name: ""
pod: openshift-mta/task-83-5r2tk
started: 2025-08-06T05:08:42.868920404Z
terminated: 2025-08-06T05:13:26.527422843Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-08-06T05:08:42.800393451Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-08-06T05:08:42.819252989Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-83-5r2tk
      last: 2025-08-06T05:08:42.939716703Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2025-08-06T05:08:45.041941647Z
    - kind: PodRunning
      count: 268
      last: 2025-08-06T05:13:26.527422132Z
    - kind: PodFailed
      count: 1
      reason: Error
      last: 2025-08-06T05:13:26.527423244Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-08-06T05:13:26.602808267Z
errors:
    - severity: Error
      description: 'Container (addon) failed: Error'
    - severity: Error
      description: 'POST /applications/17/analyses failed: 409(Conflict) body: {"error":"UNIQUE constraint failed: Insight.RuleSet, Insight.Rule, Insight.AnalysisID"}'
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[SSH] Home (directory): /addon'
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Home (directory): /addon/.git/6e4ab37'
    - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
    - '[GIT] Using credentials (id=23) HSWeSQ.'
    - '[FILE] Created /addon/.git/6e4ab37/.gitconfig.'
    - '[FILE] Created /addon/.git/6e4ab37/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/konveyor/tackle-testapp /shared/source/tackle-testapp'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=1 (.discovery)'
    - '[RULESET] fetching: id=24 (cloud-readiness)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/insights.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/24/rules --rules /addon/rules/rulesets/20/rules --label-selector konveyor.io/target=cloud-readiness'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 17.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
attached:
    - id: 741
      name: ssh-agent.output
      activity: 10
    - id: 742
      name: git.output
      activity: 18
    - id: 745
      name: settings.yaml
      activity: 22
    - id: 746
      name: konveyor-analyzer.output
      activity: 23
    - id: 747
      name: git.output
      activity: 26
    - id: 743
      name: addon.log
    - id: 744
      name: java.log
    - id: 748
      name: pod.yaml
